# IRsConnection Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Initialize ([in] IRsConnector *pSource,[in] IRsConnector *pDest)
HRESULT | Restore (void)
HRESULT | RestoreIfConsExist ([in] IRsNode *pFocusNode)
HRESULT | Delete (void)
HRESULT | Exist (RtBool *pbExist)
HRESULT | GetSourceNode ([out, retval] IRsNode **ppSourceNode)
HRESULT | GetDestinationNode ([out, retval] IRsNode **ppDestNode)
HRESULT | GetSourceConID ([out, retval] CONID *pIID)
HRESULT | GetDestConID ([out, retval] CONID *pIID)
HRESULT | Clear (void)
HRESULT | ConvertToLocalRef (void)
## Properties
IRsNode ** | LocalSpace`[get]`
IRsNode * | LocalSpace`[set]`

## Detailed Description

Connection object. Connection is an association of two connecors, where one is input and other one is output. Connector value spreads via connection.

## Member Function Documentation

HRESULT IRsConnection::Initialize | ( | [in] IRsConnector * | pSource,
|  | [in] IRsConnector * | pDest |
| ) |  |  |

Initializes new connection from specified source and destionation connector.

Parameters:

  | pSource | [in] .
  | pDest | [in] .

HRESULT IRsConnection::Restore | ( | void |  | ) |

Restores internal connector structures after deserialization.

HRESULT IRsConnection::RestoreIfConsExist | ( | [in] IRsNode * | pFocusNode | ) |

Restores internal connector structures but only if connector exists.

Parameters:

  | pFocusNode | [in] Node which contains either source or destination connector.

HRESULT IRsConnection::Delete | ( | void |  | ) |

Removes internal data.

HRESULT IRsConnection::Exist | ( | RtBool * | pbExist | ) |

Returns true if this connection exists.

HRESULT IRsConnection::GetSourceNode | ( | [out, retval] IRsNode ** | ppSourceNode | ) |

Gets node which contains source connector.

Returns:
  ppSourceNode [out,retval] .

HRESULT IRsConnection::GetDestinationNode | ( | [out, retval] IRsNode ** | ppDestNode | ) |

Gets node which contains destination connector.

Returns:
  ppDestNode [out,retval] .

HRESULT IRsConnection::GetSourceConID | ( | [out, retval] CONID * | pIID | ) |

Gets GUID of source connector.

Returns:
  pIID [out,retval] .

HRESULT IRsConnection::GetDestConID | ( | [out, retval] CONID * | pIID | ) |

Gets GUID of destination connector.

Returns:
  pIID [out,retval] .

HRESULT IRsConnection::Clear | ( | void |  | ) |

Clears all internal data (Delete should be called before).

HRESULT IRsConnection::ConvertToLocalRef | ( | void |  | ) |

ConvertToLocalRef.

## Property Documentation

IRsNode** IRsConnection::LocalSpace`[get]`

Returns:
  pVal [out,retval] .

IRsNode* IRsConnection::LocalSpace`[set]`

Parameters:

  | newVal | [in] .